<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstVersionPosition Method (IEdmEnumeratorVersion5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorVersion5 Interface : GetFirstVersionPosition Method (IEdmEnumeratorVersion5)

Visual Basic
C#
C++/CLI
Starts an enumeration of the versions of this file.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstVersionPosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstVersionPosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstVersionPosition();

#### Return Value

IEdmPos5; position of the first version of this file

# Example

Get File Version Information (C#)
Get File Version Information (VB.NET)

# Remarks

After calling this method, pass the returned first version position to IEdmEnumeratorVersion5::GetNextVersion to get the first version. Then call IEdmEnumeratorVersion5::GetNextVersion to get the rest of the versions of this file.

C++ programmers not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: An argument is invalid.

# See Also

####

IEdmEnumeratorVersion5 Interface
IEdmEnumeratorVersion5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2